#include "fs/devices/TTYLink.h"
#include "thread/Scheduler.h"

TTYLink::TTYLink()
{
    m_metadata.devid = luna_dev_makedev(DeviceRegistry::Terminal, 1);
    m_metadata.mode = 0666;
    m_metadata.initialize_times();
}

Result<SharedPtr<VFS::Inode>> TTYLink::open()
{
    if (!Scheduler::current()->controlling_terminal) return err(ENXIO);

    return Scheduler::current()->controlling_terminal;
}
